Last Comment Bug 763143 - Exception: Missing option: -o expandlibs_gen.py nsAutoComplete.o > libxpautocomplete.a.desc
: Exception: Missing option: -o expandlibs_gen.py nsAutoComplete.o > libxpaut...
Status: VERIFIED FIXED
:
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: Trunk
: All All
: -- critical (vote)
: Thunderbird 16.0
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks: 757339
  Show dependency treegraph
 
Reported: 2012-06-08 22:25 PDT by Edmund Wong (:ewong)
Modified: 2012-06-10 10:37 PDT (History)
13 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Port bug 757339 to c-c (4.58 KB, patch)
2012-06-09 09:18 PDT, Mike Hommey [:glandium]
bugspam.Callek: review+
Details | Diff | Splinter Review

Description Edmund Wong (:ewong) 2012-06-08 22:25:27 PDT
/usr/bin/ccache /tools/gcc-4.5/bin/g++ -o nsAutoComplete.o -c -I../../../../../mozilla/dist/stl_wrappers -I../../../../../mozilla/dist/system_wrappers -include /builds/slave/comm-cen-trunk-lnx-ntly/build/mozilla/config/gcc_hidden.h -DMOZ_GLUE_IN_PROGRAM -DXPCOM_TRANSLATE_NSGM_ENTRY_POINT=1 -DMOZILLA_INTERNAL_API -D_IMPL_NS_COM -DEXPORT_XPT_API -DEXPORT_XPTC_API -D_IMPL_NS_GFX -D_IMPL_NS_WIDGET -DIMPL_XREAPI -DIMPL_NS_NET -DIMPL_THEBES  -DZLIB_INTERNAL -DMOZ_SUITE=1 -DOSTYPE=\"Linux2.6.18-8\" -DOSARCH=Linux  -I/builds/slave/comm-cen-trunk-lnx-ntly/build/mozilla/xpfe/components/autocomplete/src -I. -I../../../../../mozilla/dist/include -I../../../../../mozilla/dist/include/nsprpub  `/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla/dist/sdk/bin/nspr-config --prefix=/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla/dist --includedir=/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla/dist/include/nspr --cflags` -I/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla/dist/include/nss      -fPIC  -fno-rtti -pedantic -Wall -Wpointer-arith -Woverloaded-virtual -Werror=return-type -Wtype-limits -Wempty-body -Wno-ctor-dtor-privacy -Wno-overlength-strings -Wno-invalid-offsetof -Wno-variadic-macros -Wcast-align -Wno-long-long -gdwarf-2 -fno-exceptions -fno-strict-aliasing -std=gnu++0x -pthread -pipe  -DNDEBUG -DTRIMMED -gdwarf-2 -Os -freorder-blocks -finline-limit=50 -fomit-frame-pointer   -DMOZILLA_CLIENT -include ../../../../../comm-config.h -MD -MF .deps/nsAutoComplete.pp /builds/slave/comm-cen-trunk-lnx-ntly/build/mozilla/xpfe/components/autocomplete/src/nsAutoComplete.cpp
rm -f libxpautocomplete.a ../../../../../mozilla/staticlib/components/libxpautocomplete.a
/tools/python/bin/python2.5 /builds/slave/comm-cen-trunk-lnx-ntly/build/mozilla/config/pythonpath.py -I../../../../../mozilla/config /builds/slave/comm-cen-trunk-lnx-ntly/build/mozilla/config/expandlibs_gen.py nsAutoComplete.o   > libxpautocomplete.a.desc
Traceback (most recent call last):
  File "/builds/slave/comm-cen-trunk-lnx-ntly/build/mozilla/config/pythonpath.py", line 56, in <module>
    main(sys.argv[1:])
  File "/builds/slave/comm-cen-trunk-lnx-ntly/build/mozilla/config/pythonpath.py", line 48, in main
    execfile(script, frozenglobals)
  File "/builds/slave/comm-cen-trunk-lnx-ntly/build/mozilla/config/expandlibs_gen.py", line 39, in <module>
    raise Exception("Missing option: -o")
Exception: Missing option: -o
make[6]: *** [libxpautocomplete.a.desc] Error 1
make[6]: *** Deleting file `libxpautocomplete.a.desc'
make[6]: Leaving directory `/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla/xpfe/components/autocomplete/src'
make[5]: *** [libs] Error 2
make[5]: Leaving directory `/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla/xpfe/components/autocomplete'
make[4]: Leaving directory `/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla'
make[4]: *** [libs_tier_platform] Error 2
make[3]: *** [tier_platform] Error 2
make[3]: Leaving directory `/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla'
make[2]: *** [default] Error 2
make[2]: Leaving directory `/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir/mozilla'
make[1]: Leaving directory `/builds/slave/comm-cen-trunk-lnx-ntly/build/objdir'
make[1]: *** [default] Error 2
make: *** [build] Error 2
Comment 1 Edmund Wong (:ewong) 2012-06-08 22:27:50 PDT
This is from today's trunk build.
Comment 2 Justin Wood (:Callek) (Away until Aug 29) 2012-06-08 22:28:33 PDT
....I'm overtired, but does anyone have an easy solution/noticed a bug go by that could cause or fix this?


(note this is a path in m-c, but isn't used by m-c code)
Comment 3 Mike Hommey [:glandium] 2012-06-08 23:32:53 PDT
You apparently need to port bug 757339.

Your problem comes from comm-central config/rules.mk being used on that code while config/expandlibs* come from m-c... That's a pretty fragile setup...
Comment 4 Mike Hommey [:glandium] 2012-06-08 23:34:11 PDT
(In reply to Mike Hommey [:glandium] from comment #3)
> You apparently need to port bug 757339.
> 
> Your problem comes from comm-central config/rules.mk being used on that code
> while config/expandlibs* come from m-c... That's a pretty fragile setup...

That is, the actual problem is that DEPTH points to the comm-central top objdir, while topsrcdir points to m-c top source dir.
Comment 5 Philip Chee 2012-06-08 23:37:55 PDT
Just looking through the mozilla-central pushlog, this one sounds suspicious:

Bug 757339 - No rule to make target `../../gfx/ots/src/libmozots.a', needed by `libgkmedias.a.desc'. Stop.

https://hg.mozilla.org/mozilla-central/rev/2d48da1f2bd7#l5.44

    5.35 -    print generate(sys.argv[1:])
    5.36 +    parser = OptionParser()
    5.37 +    parser.add_option("--depend", dest="depend", metavar="FILE",
    5.38 +        help="generate dependencies for the given execution and store it in the given file")
    5.39 +    parser.add_option("-o", dest="output", metavar="FILE",
    5.40 +        help="send output to the given file")
    5.41 +
    5.42 +    (options, args) = parser.parse_args()
    5.43 +    if not options.output:
    5.44 +        raise Exception("Missing option: -o")
    5.45 +
    5.46 +    ensureParentDir(options.output)
    5.47 +    with open(options.output, 'w') as outfile:
    5.48 +        print >>outfile, generate(args)
    5.49 +    if options.depend:
    5.50 +        ensureParentDir(options.depend)
    5.51 +        with open(options.depend, 'w') as depfile:
    5.52 +            depfile.write("%s : %s\n" % (options.output, ' '.join(ExpandLibsDeps(args))))
Comment 6 Philip Chee 2012-06-08 23:42:18 PDT
Hmm something seems to have been lost in a mid-air collision.
Comment 7 :aceman 2012-06-09 08:14:43 PDT
Happens in Thunderbird too.
Comment 8 Ryan VanderMeulen [:RyanVM] 2012-06-09 08:43:19 PDT
I've closed Thunderbird-Trunk and SeaMonkey for this bug.
Comment 9 Mike Hommey [:glandium] 2012-06-09 09:18:40 PDT
Created attachment 631669 [details] [diff] [review]
Port bug 757339 to c-c
Comment 10 Mike Hommey [:glandium] 2012-06-09 09:39:56 PDT
(In reply to Mike Hommey [:glandium] from comment #4)
> (In reply to Mike Hommey [:glandium] from comment #3)
> > You apparently need to port bug 757339.
> > 
> > Your problem comes from comm-central config/rules.mk being used on that code
> > while config/expandlibs* come from m-c... That's a pretty fragile setup...
> 
> That is, the actual problem is that DEPTH points to the comm-central top
> objdir, while topsrcdir points to m-c top source dir.

Actually, that's not what was happening... it's just that config/config.mk refers to the expandlib scripts from m-c directly... which makes changes in their syntax break c-c...

Note the patch I attached is untested.
Comment 11 :aceman 2012-06-09 09:53:16 PDT
Confirming the patch works for me.
Comment 12 Justin Wood (:Callek) (Away until Aug 29) 2012-06-09 11:01:20 PDT
Comment on attachment 631669 [details] [diff] [review]
Port bug 757339 to c-c

Review of attachment 631669 [details] [diff] [review]:
-----------------------------------------------------------------

Since someone tested and it works... lgtm. Thanks
Comment 13 Ryan VanderMeulen [:RyanVM] 2012-06-09 11:11:10 PDT
https://hg.mozilla.org/comm-central/rev/b5a3654eeafe

I'll re-open the trees when things go green.
Comment 14 David :Bienvenu 2012-06-09 11:33:33 PDT
ah, excellent, thx for fixing this, Mike.
Comment 15 :aceman 2012-06-09 16:55:40 PDT
Seems to have helped, builds succeed:
https://tbpl.mozilla.org/?tree=Thunderbird-Trunk
Comment 16 IU 2012-06-10 07:56:33 PDT
There are still not nightly builds being created.
Comment 17 Ryan VanderMeulen [:RyanVM] 2012-06-10 10:37:49 PDT
(In reply to IU from comment #16)
> There are still not nightly builds being created.

That's unrelated to this bug.

Note You need to log in before you can comment on or make changes to this bug.